Package groovy.lang

# Class MissingFieldException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.lang.MissingFieldException

All Implemented Interfaces:
  `java.io.Serializable`

    public class MissingFieldException
    extends GroovyRuntimeException

An exception occurred if a dynamic field dispatch fails with an unknown field. Note that the Missing*Exception classes were named for consistency and to avoid conflicts with JDK exceptions of the same name.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MissingFieldException​(java.lang.String field, java.lang.Class type)` |
  `MissingFieldException​(java.lang.String field, java.lang.Class type, java.lang.Throwable e)` |
  `MissingFieldException​(java.lang.String message, java.lang.String field, java.lang.Class type)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getField()` |
  `java.lang.Class` | `getType()` |

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingFieldException

    public MissingFieldException​(java.lang.String field, java.lang.Class type)

  - ### MissingFieldException

    public MissingFieldException​(java.lang.String field, java.lang.Class type, java.lang.Throwable e)

  - ### MissingFieldException

    public MissingFieldException​(java.lang.String message, java.lang.String field, java.lang.Class type)

- ## Method Details

  - ### getField

    public java.lang.String getField()
    Returns:
      the name of the field that could not be found

  - ### getType

    public java.lang.Class getType()
    Returns:
      The type on which the field was attempted to be called